All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::IndexIVFPQStats Struct Reference

`#include <IndexIVFPQ.h>`

## Public Member Functions

void | reset ()

## Public Attributes

size_t | nq
size_t | nlist
size_t | ncode
size_t | nrefine
size_t | n_hamming_pass
size_t | assign_cycles
size_t | search_cycles
size_t | refine_cycles
size_t | init_query_cycles
size_t | init_list_cycles
size_t | scan_cycles
size_t | heap_cycles

## Detailed Description

statistics are robust to internal threading, but not if IndexIVFPQ::search is called by multiple threads

Definition at line 167 of file IndexIVFPQ.h.

The documentation for this struct was generated from the following files:

- /data/users/matthijs/github_faiss/faiss/IndexIVFPQ.h
- /data/users/matthijs/github_faiss/faiss/IndexIVFPQ.cpp